HPE EVA Storage

HP 4/8 San Switch FW upgrade path

 
Al-Elm
Occasional Advisor

HP 4/8 San Switch FW upgrade path

Hi,

Presently the SAN Switch FW is v5.3.0d and i want to upgrade it to the latest FW 6.2.2 can anyone tell me what would be the upgrade path.

Can i directly move to 6.2.2 OR there's some intermediary FW in between?

Is this 6.2.2 stable and capitable with MSA1500 v5.20?

Waiting for feedback
12 REPLIES 12
chris barnett_2
Frequent Advisor

Re: HP 4/8 San Switch FW upgrade path

Hi, as HP/Brocade only support a one level firmware upgrade difference the path would be v5.3.0d > v6.0.0b > v6.1.0g > v6.2.2c
Jan Soska
Honored Contributor

Re: HP 4/8 San Switch FW upgrade path

Hello,
I just want to notice you could have problem to get old 5.x firmwares - usually have to contact your hp support.

Jan
Torsten.
Acclaimed Contributor

Re: HP 4/8 San Switch FW upgrade path

From your version you need to go to

6.0.x
6.1.x
6.2.x
6.3.x

but you probably need to ask HP for the 6.0.x version.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
chris barnett_2
Frequent Advisor

Re: HP 4/8 San Switch FW upgrade path

The latest firmware version supported on the 4/8 is 6.2.2c. See attached SPOCK stream
Torsten.
Acclaimed Contributor

Re: HP 4/8 San Switch FW upgrade path

I missed the switch type in the title, sorry.

There is a version 6.4.x already for certain switches ... wow, this is changing fast.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Johan Guldmyr
Honored Contributor

Re: HP 4/8 San Switch FW upgrade path

Yeah it is :)

You would only need to go to 6.2.2 on the 4/8 and 4/16 (200E) switch, as Chris wrote.

These are the only 4GB supported models on the 6.4.x and 6.3.x.

Fabric OS 6.4.0a is supported on the following product models:
â ¢ HP StorageWorks 4/32 SAN Switch (Brocade 4100)
â ¢ HP StorageWorks 4/32B SAN Switch (Brocade 5000)
â ¢ HP StorageWorks 4/64 SAN Switch (Brocade 4900)
â ¢ HP StorageWorks 4/256 SAN Director (Brocade 48000)
10
â ¢ HP StorageWorks 16 Port 4-Gb SAN Director Blade (FC4-16)
â ¢ HP StorageWorks 32 Port 4-Gb SAN Director Blade (FC4-32)
â ¢ HP StorageWorks 48 Port 4-Gb SAN Director Blade (FC4-48)
Fenny_1
Super Advisor

Re: HP 4/8 San Switch FW upgrade path

Hi John & Toreston,

What i understood from your replies is that; the recommended version for 4/8 SAN Switch is 6.2.2c and 6.4.x is not for 4/8 SAn Switches.

Please confirm
Jan Soska
Honored Contributor

Re: HP 4/8 San Switch FW upgrade path

Yes, you are absolutelly right.

Jan
Johan Guldmyr
Honored Contributor

Re: HP 4/8 San Switch FW upgrade path

Yeup :p